summaryrefslogtreecommitdiffstats
path: root/network/LOIC/LOIC.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/LOIC/LOIC.SlackBuild')
-rw-r--r--network/LOIC/LOIC.SlackBuild77
1 files changed, 77 insertions, 0 deletions
diff --git a/network/LOIC/LOIC.SlackBuild b/network/LOIC/LOIC.SlackBuild
new file mode 100644
index 0000000000..a328c7eda7
--- /dev/null
+++ b/network/LOIC/LOIC.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for LOIC
+
+# Copyright 2012 Chris Abela, Malta
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+############################ WARNING ##########################################
+# We are not responsible for the use that you give to this tool. You cannot #
+# blame us if you use this tool to attack servers you don't own and get #
+# caught. This script is released for educational purposes only. #
+###############################################################################
+
+PRGNAM=LOIC # This replaces the earlier "loic"
+VERSION=${VERSION:-1.0.7.42} # The versioning scheme has changed
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/opt/LOIC $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION-binary.zip
+chown -R root:root .
+
+cp -a LOIC.exe $PKG/opt/LOIC
+
+# This is for GUI users
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/LOIC.desktop > $PKG/usr/share/applications/LOIC.desktop
+
+# This is a handy script for CLI users
+mkdir -p $PKG/usr/bin
+cat > $PKG/usr/bin/loic << EOF
+#!/bin/sh
+mono /opt/LOIC/LOIC.exe
+EOF
+chmod 755 $PKG/usr/bin/loic
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+install -m0644 -oroot $CWD/README.WARNING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}